@import url(../../node_modules/normalize.css/normalize.css);

@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/Lato-Bold.woff") format("woff"), url("../fonts/Lato-Bold.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 600;
  src: url("../fonts/Lato-Semibold.woff") format("woff"), url("../fonts/Lato-Semibold.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 500;
  src: url("../fonts/Lato-Medium.woff") format("woff"), url("../fonts/Lato-Medium.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-family: "Lato";
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/Lato-Regular.woff") format("woff"), url("../fonts/Lato-Regular.woff2") format("woff2");
  font-display: swap;
}

.visually-hidden:not(:focus):not(:active) {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  white-space: nowrap;
  border: 0;
  clip: rect(0 0 0 0);
  -webkit-clip-path: inset(100%);
          clip-path: inset(100%);
}

body {
  min-height: 2000px;
}

.table-container {
  margin: 50px 0;
}

.table-default {
  border-collapse: collapse;
}

.table-default th,
.table-default td {
  padding: 8px;
}

.table-default thead th {
  position: sticky;
  top: 0;
  z-index: 10;
  color: #ffffff;
  background-color: #0078d4;
}

.table-default tbody tr:nth-child(1) th {
  position: sticky;
  top: 34px;
  z-index: 5;
  color: #ffffff;
  background-color: #3A9DEA;
}

.table-default tbody tr:nth-child(odd) {
  background-color: #f3f2f1;
}

.table-default tbody tr:nth-child(even) {
  background-color: #e1dfdd;
}

.table-default-js {
  border-collapse: collapse;
}

.table-default-js,
.table-default-js tbody {
  display: block;
}

.table-default-js th,
.table-default-js td {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  padding: 8px;
}

.table-default-js thead th {
  position: sticky;
  top: 0;
  z-index: 10;
  color: #ffffff;
  background-color: #0078d4;
}

.table-default-js tbody tr:nth-child(1) th {
  position: sticky;
  top: 34px;
  z-index: 5;
  color: #ffffff;
  background-color: #3A9DEA;
}

.table-default-js tbody tr:nth-child(odd) {
  background-color: #f3f2f1;
}

.table-default-js tbody tr:nth-child(even) {
  background-color: #e1dfdd;
}

.disabled {
  display: none;
}

.table-toggle {
  border-collapse: collapse;
}

.table-toggle th,
.table-toggle td {
  padding: 8px;
}

.table-toggle thead th {
  color: #ffffff;
  background-color: #0078d4;
}

.table-toggle tbody tr:nth-child(1) th {
  color: #ffffff;
  background-color: #3A9DEA;
}

.table-toggle tbody tr:nth-child(odd) {
  background-color: #f3f2f1;
}

.table-toggle tbody tr:nth-child(even) {
  background-color: #e1dfdd;
}

.table-swipe {
  border-collapse: collapse;
}

.table-swipe th,
.table-swipe td {
  padding: 8px;
}

.table-swipe thead th {
  color: #ffffff;
  background-color: #0078d4;
}

.table-swipe tbody tr:nth-child(1) th {
  color: #ffffff;
  background-color: #3A9DEA;
}

.table-swipe tbody tr:nth-child(odd) {
  background-color: #f3f2f1;
}

.table-swipe tbody tr:nth-child(even) {
  background-color: #e1dfdd;
}

.table-swipe__controls {
  margin-bottom: 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.table-swipe__dots {
  margin: 0;
  padding: 0;
  list-style: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin: 0 20px;
}

.table-swipe__dot {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin-right: 10px;
}

.table-swipe__dot:nth-last-child(1) {
  margin-right: 0;
}

.table-swipe__dot::before {
  content: "";
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: #333333;
}

.table-swipe__dot--hidden::before {
  background-color: #D9D9D9;
}